Name: 		perl-Test-LongString
Version: 	0.09
Release: 	1%{?dist}
Summary: 	Perl module to test long strings
License: 	GPL or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Test-LongString/
Source0: 	http://search.cpan.org/CPAN/authors/id/R/RG/RGARCIA/Test-LongString-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

# Required by the tests
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Pod::Coverage) >= 1.04
BuildRequires: perl(Test::Pod) >= 1.14 

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides some drop-in replacements for the string comparison
functions of Test::More, but which are more suitable when you test against
long strings. If you've ever had to search for text in a multi-line string
like an HTML document, or find specific items in binary data, this is the
module for you.

%prep
%setup -q -n Test-LongString-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Fri Oct 07 2005 Ralf Corsepius <rc040203@freenet.de> - 0.09-1
- Upstream update.

* Fri Aug 19 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-2
- Spec cleanup.

* Thu Aug 11 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-1
- FE submission.
